@import "~@angular/material/theming";
@include mat-core();

$basic-primary: (
  50: #e7e7e7,
  100: #c2c2c2,
  200: #999999,
  300: #707070,
  400: #525252,
  500: #333333,
  600: #2e2e2e,
  700: #272727,
  800: #202020,
  900: #141414,
  A100: #ef6e6e,
  A200: #ea4040,
  A400: #f60000,
  A700: #dd0000,
  contrast: (
    50: #000000,
    100: #000000,
    200: #000000,
    300: #ffffff,
    400: #ffffff,
    500: #ffffff,
    600: #ffffff,
    700: #ffffff,
    800: #ffffff,
    900: #ffffff,
    A100: #000000,
    A200: #ffffff,
    A400: #ffffff,
    A700: #ffffff
  )
);

$basicaccent: (
  50: #ededed,
  100: #d1d1d1,
  200: #b3b3b3,
  300: #949494,
  400: #7d7d7d,
  500: #666666,
  600: #5e5e5e,
  700: #535353,
  800: #494949,
  900: #383838,
  A100: #f49c9c,
  A200: #ef6e6e,
  A400: #ff2a2a,
  A700: #ff1111,
  contrast: (
    50: #000000,
    100: #000000,
    200: #000000,
    300: #000000,
    400: #ffffff,
    500: #ffffff,
    600: #ffffff,
    700: #ffffff,
    800: #ffffff,
    900: #ffffff,
    A100: #000000,
    A200: #000000,
    A400: #ffffff,
    A700: #ffffff
  )
);

$basicwarn: (
  50: #fefae6,
  100: #fcf2c1,
  200: #faea98,
  300: #f7e26e,
  400: #f6db4f,
  500: #f4d530,
  600: #f3d02b,
  700: #f1ca24,
  800: #efc41e,
  900: #ecba13,
  A100: #ffffff,
  A200: #fff9e7,
  A400: #ffecb4,
  A700: #ffe69b,
  contrast: (
    50: #000000,
    100: #000000,
    200: #000000,
    300: #000000,
    400: #000000,
    500: #000000,
    600: #000000,
    700: #000000,
    800: #000000,
    900: #000000,
    A100: #000000,
    A200: #000000,
    A400: #000000,
    A700: #000000
  )
);

$c-primary: mat-palette($basic-primary);
$c-accent: mat-palette($basicaccent);
$c-warn: mat-palette($basicwarn);
$c-theme: mat-light-theme($c-primary, $c-accent, $c-warn);

.basic-theme {
  @include angular-material-theme($c-theme);
}
